For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList sheets
      • GETGet a sheet
      • DELDelete a sheet
      • POSTDuplicate a sheet
      • POSTValidate a sheet
      • GETDownload records as a CSV file
      • GETGet record counts
      • GETList calculations
      • GETGet commit versions for a sheet
      • POSTLock a sheet
      • POSTUnlock a sheet
      • GETGet record cells by field
      • PATCHUpdate a sheet
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSheets

Get record cells by field

GET
https://api.x.flatfile.com/v1/sheets/:sheetId/cells
GET
/v1/sheets/:sheetId/cells
$curl -G https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID/cells \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d distinct=true \
> -d fieldKey=firstName \
> -d sortField=firstName \
> -d sortDirection=asc \
> -d filter=valid
200Example0
1{
2 "data": {
3 "firstName": [
4 {
5 "counts": {
6 "total": 1,
7 "valid": 1,
8 "error": 0
9 },
10 "valid": true,
11 "value": "Mike"
12 },
13 {
14 "counts": {
15 "total": 1,
16 "valid": 1,
17 "error": 0
18 },
19 "valid": true,
20 "value": "Jordan"
21 }
22 ]
23 }
24}
Returns record cell values grouped by all fields in the sheet
Was this page helpful?
Previous

Update a sheet

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Query parameters

fieldKeystringOptional
Returns results from the given field only. Otherwise all field cells are returned
sortFieldstringOptional
Name of field by which to sort records
sortDirectionenumOptional

Sort direction - asc (ascending) or desc (descending)

Allowed values:
filterenumOptional
Options to filter records
Allowed values:
filterFieldstringOptional
Name of field by which to filter records
pageSizeintegerOptional

Number of records to return in a page (default 1000 if pageNumber included)

pageNumberintegerOptional
Based on pageSize, which page of records to return
distinctbooleanRequired
Must be set to true
includeCountsbooleanOptional
When both distinct and includeCounts are true, the count of distinct field values will be returned
searchValuestringOptional
A value to find for a given field in a sheet. Wrap the value in "" for exact match
qstringOptional
An FFQL query used to filter the records to be queried

Response

This endpoint returns an object.
datamap from strings to lists of objects
Cell values grouped by field key